Bug 616091 - Memory leak in xenstore
Memory leak in xenstore
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.4
x86_64 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
: ZStream
Depends On: 606919
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 12:06 EDT by RHEL Product and Program Management
Modified: 2013-01-10 22:08 EST (History)
21 users (show)

See Also:
Fixed In Version: xen-3.0.3-105.el5_5.5
Doc Type: Bug Fix
Doc Text:
xenstore slowly but consistently leaked memory. This caused problems on systems that ran for a long time. These packages remove this leak.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 07:47:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file of valgrind without the patch (237.41 KB, text/plain)
2010-07-27 05:34 EDT, Yufang Zhang
no flags Details
log file of valgrind with the patch (237.29 KB, text/plain)
2010-07-27 05:35 EDT, Yufang Zhang
no flags Details

  None (edit)
Description RHEL Product and Program Management 2010-07-19 12:06:59 EDT
This bug has been copied from bug #606919 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 5 Yufang Zhang 2010-07-27 05:30:12 EDT
QA verified this bug on xen-3.0.3-105.el5_5.5:

1. Start libvirtd valgrind with the following command:
#valgrind -v --leak-check=full --show-reachable=yes --log-file=logfile /usr/sbin/libvirtd

2. Remote connect to libvirtd via virsh for 10 minutes with the following command:
#count=0; while [ $count -lt 200 ]; do virsh -c xen+ssh://localhost list; sleep 3; let count=$count+1; done;


For xen package(xen-3.0.3-113.el5) without the patch, we could find memory leak from the logfile:
8,000 bytes in 200 blocks are definitely lost in loss record 291 of 294
==1063==    at 0x4A05E1C: malloc (vg_replace_malloc.c:195)
==1063==    by 0x4C289D9: read_message (xs.c:768)
==1063==    by 0x4C28B4B: read_thread (xs.c:824)
==1063==    by 0x3A61C0673C: start_thread (in /lib64/libpthread-2.5.so)
==1063==    by 0x3A610D3D1C: clone (in /lib64/libc-2.5.so)
==1063==

For xen-3.0.3-105.el5_5.5, no memory leak triggered by xenstore found.

logfiles on both xen packages will be uploaded soon.
Comment 6 Yufang Zhang 2010-07-27 05:34:29 EDT
Created attachment 434636 [details]
log file of valgrind without the patch
Comment 7 Yufang Zhang 2010-07-27 05:35:25 EDT
Created attachment 434637 [details]
log file of valgrind with the patch
Comment 9 errata-xmlrpc 2010-07-29 07:47:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0572.html
Comment 10 Florian Nadge 2010-08-04 09:40:46 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
xenstore slowly but consistently leaked memory. This caused problems on systems that ran for a long time. These packages remove this leak.

Note You need to log in before you can comment on or make changes to this bug.